Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class PieChartLabelIDsEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.edit.PieChartLabelIDsEdit

All Implemented Interfaces:
  UndoableEdit

    public class PieChartLabelIDsEdit

extends DocumentEdit

Since:
  2.0.43
Author:
  Ben Stöver

Field Summary
`private PieChartLabel[]` | `labels`
`private String[]` | `newIDs`
`private String[][]` | `oldIDs`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`PieChartLabelIDsEdit(Document document, PieChartLabel[] labels, String[] newIDs)`

Method Summary
`String` | `getPresentationName()`
`void` | `redo()`
`private void` | `setIDs(String[] ids, int labelIndex)`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labels

    private PieChartLabel[] labels

### newIDs

    private String[] newIDs

### oldIDs

    private String[][] oldIDs

Constructor Detail

### PieChartLabelIDsEdit

    public PieChartLabelIDsEdit(Document document,
                                PieChartLabel[] labels,
                                String[] newIDs)

Method Detail

### setIDs

    private void setIDs(String[] ids,
                        int labelIndex)

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### undo

    public void undo()
              throws CannotUndoException

  Specified by:
    `undo` in interface `UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `CannotUndoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD